License
===========

Thank you for using Concurix Corporation's ("Concurix") website, services, downloadable software, and other products (the "Services"). Your use of the Services is subject to your acceptance without modification of these terms and conditions and all other rules, policies, and procedures that may be published on concurix.com or affiliated websites (the "Terms of Service").

By using the Services, you agree to comply with the Terms of Service. If you do not agree to the Terms of Service, you must terminate your use of the Services immediately.

**IF YOU DO NOT AGREE TO ALL OF THESE TERMS OF SERVICES, THEN DO NOT USE THE SERVICES. BY USING ALL OR ANY PART OF THE SERVICES, YOU AGREE TO BE BOUND BY ALL OF THESE TERMS OF SERVICE.**

We may modify the Terms of Service from time to time and such modifications, additions, or deletions ("Amendments") will be effective immediately upon posting on concurix.com, with or without direct notice to you. Your continued use of the Services shall constitute your acceptance of all such Amendments.

The Summary below and the italicized summaries to the right of each section of these Terms of Service are inserted for convenience only and shall not be deemed to constitute part of these Terms of Service or to affect the construction thereof.

> Summary: You can use the Services provided that:

> 1. You are truthful in your registration and other interactions with us.
> 2. You do not submit dangerous, malicious, or stolen code or other data to Concurix.
> 3. You pay in full for the products and services you receive.

> In exchange, as you use our services, Concurix will:

> 1. Provide you with Client software that you execute on systems you control and through which you communicate with Concurix’s cloud software.
> 2. Provide you with various reports and data, which are copyrighted by Concurix but are licensed back to you.
> 3. Provide you with downloadable software, some components may be under a relevant Open Source license while other components may be under license from Concurix.

> There are additional parts to this Agreement, including our Privacy Policy, Copyright Notices, Trademark Notices, as well as other notices that are part of this Agreement.

The full details of the Terms of Service are as follows:

  1. Services.Description of the Services. The Services include executable code ("Executable Code") that is operated under your control on hardware that you control. The Executable Code is used to execute your software ("the Code"). In some cases, the hardware may be provided by a third party, such as Amazon Elastic Compute Cloud or other providers. In other cases, the Executable Code may be downloaded and executed on hardware that you own. The Executable Code includes instrumentation that collects data ("Collected Data") for use with Concurix’s visualization and analytical tools ("Cloud Services"). The Collected Data are transmitted to the Cloud Services over the Internet for analysis and display.

     In some cases, you may receive Source Code from which you may generate the Executable Code. Unless the Source Code is distributed with a specific and distinct Open Source License in the header, any Source Code you receive from Concurix is licensed to you under this Terms of Service and is not for open distribution.

  2. Use of the Services.You can use the Services to execute, evaluate, and optimize your Code. In consideration for your use of the Services, you agree to provide true, accurate, current, and complete information about yourself as prompted by the Service's registration form. If you provide any information that is untrue, inaccurate, not current, or incomplete, or Concurix has reasonable grounds to suspect that such information is untrue, inaccurate, not current, or incomplete, Concurix has the right to suspend or terminate your account and refuse any and all current or future use of the Services (or any portion thereof).

  3. Data Collection.Concurix provides Executable Code and Cloud Services that execute your Code and collect data regarding the operation of your Code ("Collected Data"). The Collected Data are transmitted to Concurix’s Cloud Services for analysis.

     The Collected Data are stored and secured by Concurix as Business Confidential Information, meaning that reasonable and customary measures of protection are used. However, these data are not transmitted, stored, and secured in a facility or using methods that are certified or warranted for storage of Personally Identifiable Information or other sensitive, confidential, or regulated information.

     Concurix makes no warranty regarding the security of the Collected Data generated from your Code. You are responsible for ensuring that your Code does not handle sensitive information when generating the Collected Data

  4. User Submissions and Warranty.As a condition of your acceptance of these Terms of Service, you represent and warrant to Concurix that (a) you are the sole and exclusive owner of all rights (including copyright, patent, and trade secret), title, and interest in the Code, or have sufficient rights to upload the Code to Concurix restriction free; (b) the Code does not infringe on the rights of any third party; (c) the Code does not contain any viruses, worms, defects, Trojan Horses or any other computer code, files, or programs of a destructive nature designed to interrupt, destroy, or limit the functionality of any computer software or hardware; and (d) you have full power to enter into these Terms of Service and to carry out the obligations hereunder.

     Concurix complies with the Digital Millennium Copyright Act, details can be found here: http://concurix.com/copyright.

  5. Concurix's Use of the Collected Data.Concurix will use data collected from monitoring your Code to visualize your code and other uses. In some cases, data collected from monitoring your Code may be mingled with data collected from other parties.

     You always retain ownership and control of your Code, but you grant Concurix a royalty-free license to reproduce, distribute, prepare derivative works of, compile, execute, analyze, and publicly display the Collected Data generated from monitoring your code.

     By using the Services, you hereby acknowledge and agree, that Concurix may use data collected from monitoring your Code in any way Concurix sees fit, including, without limitation:

       * Displaying collected data to third parties.
       * Analyzing and benchmarking your Code and generating data and statistics from your Code.
       * Using and displaying to third parties any statistics or data generated from your Code.

    Concurix will not identify you to third parties without your prior permission.

  6. Data Ownership and Use.You agree that all data, results, analytics, responses, statistics, or other output generated by Cloud Services using your Code (the "Data Output") shall be exclusively owned by Concurix, as well as all knowledge, analytics and other information we generate from this Data Output. Under these Terms of Services, Concurix shall provide you with a summary of the Data Output (the "Report"). You agree to reproduce, distribute, and use the Report only for your internal business requirements. Concurix grants you no rights in the Data Output other than the Report. While your Code is used in conjunction with providing the Services, you will continue to own the Code itself, and you acknowledge and agree that by using your Code and performing the Services, that Concurix is not interfering with or infringing any of your proprietary rights.

  7. Service Level Agreement.Concurix will make is Cloud Services and other online services available on a best effort basis, but specifically does not guarantee any specific Service Level Agreement for any of its Services under this Agreement.

  8. Abuse or Malicious Use.You agree to use the Services according to instructions, and you further agree not to abuse or misuse the Services. Concurix reserves the right to take any and all actions as necessary in response to intentional or unintentional misuse of the Services. Such actions may include throttling or suspending usage, suspending or terminating accounts, or other action as it deems necessary. Abuse or misuse of the Services may be overloading the Services, transmitting malicious software, using the Services in an unauthorized or unintended use, or other activities that may have damaging or limiting effects on the Services.

  9. Indemnification.You agree to indemnify, defend, and hold harmless Concurix, its affiliates, officers, directors, employees, or anyone else related to Concurix against any and all claims, losses, liabilities, damages, costs, or expenses from all lawsuits or causes of action arising out of or related to breach of any representations and warranties, or any other terms, contained in this Terms of Service. You shall employ legal counsel to defend such suit or action at your expense. Concurix shall have the right to approve such counsel, but Concurix shall not unreasonably withhold its approval.

  10. WARRANTY & DISCLAIMER.THE SERVICES, ALL FEATURES INCLUDED IN THE SERVICES, THE REPORT, THE CONFIGURATION FILE, AND ALL DATA, INFORMATION, AND RECOMMENDATIONS CONTAINED IN THE REPORT AND CONFIGURATION FILE ARE PROVIDED "AS IS" AND THERE ARE NO EXPRESS OR IMPLIED WARRANTIES WHATSOEVER. ADDITIONALLY, CONCURIX SPECIFICALLY DISCLAIMS, TO THE EXTENT ALLOWED BY LAW, ANY AND ALL WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, LACK OF VIRUSES, OR ACCURACY OF ANY RESPONSES OR RESULTS. TO THE MAXIMUM EXTENT PERMITTED BY LAW, CONCURIX MAKES NO WARRANTY THAT THE SERVICES OR THE REPORT WILL MEET YOUR REQUIREMENTS OR THAT THE SERVICES WILL PROVIDE UNINTERRUPTED, TIMELY, SECURE, OR ERROR FREE USE. YOUR USE OF THE SERVICES AND THE REPORT IS AT YOUR OWN RISK

  11. LIMITATION OF LIABILITY.IN NO EVENT WILL CONCURIX, ITS AFFILIATES, OFFICERS, AGENTS, EMPLOYEES, LICENSORS OR ANY OTHER RELATED PARTIES BE LIABLE FOR ANY INDIRECT, INCIDENTAL, SPECIAL, CONSEQUENTIAL, OR PUNITIVE DAMAGES IN CONNECTION WITH OR ARISING OUT OF THESE TERMS OF SERVICE OR YOUR USE OF THE SERVICES OR THE REPORT, EVEN IF CONCURIX HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL CONCURIX'S LIABILITY TO YOU, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, EXCEED U.S. TEN DOLLARS ($10).

  12. Copyright Protection.The Services, the Report, and the content contained therein are protected under United States and International Copyright laws. As such, except as expressly authorized in writing by Concurix or Concurix's licensors, any reproduction, creation of derivative works, distribution, display, public performance, translation, or alteration of the Services, the Configuration File, the Report, or the content contained therein is strictly prohibited. Additionally, you agree you will not delete or in any manner alter the copyright notices or markings appearing in the Services or the Configuration File.

      Concurix complies with the Digital Millennium Copyright Act, details can be found here:http://concurix.com/copyright.

  13. Payment Transactions.Whenever you enter into a payment transaction for the Services, you agree to provide Concurix with accurate, complete, and current credit card information for a credit card that you are authorized to use. You agree that all transactions are non-refundable.

  14. Termination.You may terminate the Services at any time; however, you agree that any Code provided by you or Collected Data cannot be returned and that Concurix will retain any payments made for Services up through the date of termination.

  15. Modification of the Services and Prices.Concurix reserves the right at any time and from time to time to modify or discontinue, temporarily or permanently, the Services (or any part thereof) or to modify the price Concurix charges for the Services with or without notice. Concurix shall not be liable to you or any third party for any modification, price change, suspension, or discontinuance of the Services.

  16. Dispute Resolution, Injunctions, & Governing Law.You agree that all disputes or claims relating your use of the Services and/or the Report will be resolved individually (not in a class or consolidated) and through binding arbitration as opposed to State or Federal court only after you have contacted Concurix with your concern. You agree the arbitration shall be conducted by the American Arbitration Association and under its rules. You agree the arbitrator will apply the substantive laws of Washington State. Visit www.adr.org for more information. Additionally, you agree that all arbitration hearings shall be conducted by phone or through the submission of documents unless otherwise mutually agreed upon. However, if your claims qualify for "small claims" court, Concurix agrees you may file your claim in "small claims" court. Given the above language, **you expressly grant Concurix the authority to file injunctive or other equitable relief in a court of competent jurisdiction to prevent or halt the breach of any terms of use or conditions stated in this Terms of Service.** For any claims against Concurix filed in a contrary manner to this Terms of Service, you agree that Concurix may file a claim to recover attorneys' fees in a court of competent jurisdiction.

  17. Communication Via Email.You agree and consent that all electronic communications via email or postings on concurix.com satisfy any writing requirements under the law. Such communications may pertain to: agreements between Concurix and you, notices to you about security issues or our Privacy Policy, mandatory disclosures, or any other matters Concurix deems important.

  18. Trademark Protection.This Agreement incorporates the Concurix Trademark Notice, found athttp://concurix.com/trademark. You represent and warrant to Concurix that you have read the Concurix Trademark Notice and you agree to be bound by the terms and conditions therein.

  19. Feedback & Assignment.This Agreement incorporates the Concurix Feedback Notice, found athttp://concurix.com/feedback. You represent and warrant to Concurix that you have read the Concurix Feedback Notice and you agree to be bound by the terms and conditions therein.

  20. Privacy Policy.Your use of the Services is conditioned upon your consent to Concurix's privacy policies locatedhttp://concurix.com/privacy(the "Privacy Policy"). You represent and warrant to Concurix that you have read the privacy policy and you agree to be bound by the terms and conditions therein.

  21. Patent Notice.You are hereby put on notice that Concurix’s products are protected by one or more patents. Our patent portfolio grows constantly and a public up-to-date list can be found on freepatentsonline.com orhere.

  22. Entire Agreement; Severability; Assignment.This is the entire agreement between Concurix and you regarding your use of the Services and supersedes any prior written or oral agreements. If any provision of the Terms of Service becomes invalid, illegal, void, or unenforceable under any applicable law, each such provision shall be deemed amended to conform to applicable law; or, if it cannot be amended without materially altering the terms of this Terms of Service, such provision shall be deleted. Additionally, the failure of Concurix to enforce any right or provision of this Terms of Service does not constitute a waiver of that right or a waiver of future enforcement. These Terms and the Service contemplated hereunder are personal to you, and are not assignable, transferable or sublicensable by you except with Concurix's prior written consent. Concurix may assign, transfer, or delegate any of its rights and obligations hereunder without your consent.
